import * as $dara from '@darabonba/typescript';
import { DescribeSuspEventsResponseBody } from "./DescribeSuspEventsResponseBody";
export declare class DescribeSuspEventsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeSuspEventsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
